Subject: Re: bug#70729: Flymake gives error when the buffer is narrowed

From: Vangelis Evangelou <[email-masked]>
Date: Mon, 6 May 2024 10:41:46 +0100

Hi Arash.

Yes, that's part of the problem. Can you please add a few new lines before
\documentclass, so that it looks like the first picture? Then when you
narrow again, you should get an error
error in process sentinel: flymake--highlight-line: Wrong type argument:
integer-or-marker-p, nil

> `LaTeX-flymake' actually follows closely what ``tex-chktex' does.
OK, thanks, I hadn't noticed that.

On Fri, 3 May 2024 at 13:45, Arash Esbati <[email-masked]> wrote:

> Vangelis Evangelou <[email-masked]> writes:
>
> > Hi all. I would like to report the following bug in the function
> > LaTeX-flymake
> >
> > 1. Enable flymake-mode
> > 2. With the buffer below, narrow as indicated
> > 3. Type in the narrowed buffer.
> >
> > Flymake will produce an error. The issue is due to incorrect position
> > of the errors when the buffer is narrowed.
> >
> > I don't think the buffer should be widened in the LaTeX-flymake
> > function as the check can be performed in the narrowed buffer. I can
> > see that LaTeX-flymake resembles perl-flymake. I suspect perl-flymake
> > has similar issues, but I haven't checked as I don't use perl.
>
> `LaTeX-flymake' actually follows closely what ``tex-chktex' does.  I'm
> not sure if I understand the above correctly, but this is what I see
> with "emacs -Q" and built-in LaTeX mode:
> This is what I get with narrowing, but without the comment lines:
> And finally with narrowing and the commented lines:
>
> IIUC, the third version shows the wrong line number 4, right?
>
> Best, Arash
>